curl --request POST \
--url https://api.partoo.co/v2/custom_fields/order \
--header 'Content-Type: application/json' \
--header 'x-APIKey: <api-key>' \
--data '
{
"orders": [
{
"id": 42,
"order": 30,
"section_id": 6
}
],
"section_orders": [
{
"id": 6,
"order": 18
}
]
}
'import requests
url = "https://api.partoo.co/v2/custom_fields/order"
payload = {
"orders": [
{
"id": 42,
"order": 30,
"section_id": 6
}
],
"section_orders": [
{
"id": 6,
"order": 18
}
]
}
headers = {
"x-APIKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-APIKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
orders: [{id: 42, order: 30, section_id: 6}],
section_orders: [{id: 6, order: 18}]
})
};
fetch('https://api.partoo.co/v2/custom_fields/order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success"
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}{
"errors": {
"json": "Resource not found"
}
}Order custom fields
This endpoint enables you to reorganize the order of custom fields and custom field sections within your organization. You can also move custom fields between sections by specifying a different section_id. PROVIDER users can pass org_id to reorder custom fields for a managed organization.
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Query Parameters
Organization ID. Only PROVIDER users can specify a different organization. If not provided, defaults to your own organization.
Body
Request object to reorder custom fields and optionally sections
On the Business Edit view of the Partoo App, custom fields will be displayed depending on their order.
The lowest number will be the first.
Show child attributes
Show child attributes
On the Business Edit view of the Partoo App, custom fields section will be displayed depending on their order.
The lowest number will be the first.
Show child attributes
Show child attributes
Response
OK
Request status
success Was this page helpful?